<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
		//lo mismo que el ejercicio anterior pero declarando la variable fuera de la funcion
		
		
		let celdas=[];
		//quiero acceder a los td
		//nos centramos en querySelector() (devuelve el elemento) cuando hay uno y querySelectorAll() (devuelve un array) cuando son más de uno

		function inicio(){

		//el argumento en querySelector es como los selectores de css, para llegar a los td el selector es table tr td o td
		celdas=document.querySelectorAll("td");
		//cambiar el elemento de la primera celda, si queremos que salga el 1 y tambien lo que vamos a poner cambiamos = por +=
		celdas[0].innerHTML="lo que quieras";
		//cambiar el fondo de la segunda celda
		celdas[1].style.backgroundColor="#CCC";

		}

		//para cambiar lo que tenemos en la celda, el onclick llama a la funcion en cada celda
		function cambia(posicion){

			//se pone fondo rojo y letra blanca cada celda cuando pinchas en ellas
			celdas[posicion].style.backgroundColor='RED';
			celdas[posicion].style.color='white';
		}

	</script>
</head>
<!-- onload para que se haga lo que hay en la funcion despues del codigo del body -->
<body onload="inicio()">
	<!-- emmet -> table>tr>td*5  o  table>tr>td{$}*5  y tabular -->
	<table border="1">
			<tr>
				<td onclick="cambia(0)">1</td>
				<td onclick="cambia(1)">2</td>
				<td onclick="cambia(2)">3</td>
				<td onclick="cambia(3)">4</td>
				<td onclick="cambia(4)">5</td>
			</tr>
	</table>
</body>
</html>

